Runtime

## org.eclipse.gmf.runtime.diagram.ui.render.editparts
Class URLImageEditPart

    java.lang.Object
      org.eclipse.gef.editparts.AbstractEditPart
          org.eclipse.gef.editparts.AbstractGraphicalEditPart
              org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart
                  org.eclipse.gmf.runtime.diagram.ui.editparts.TopGraphicEditPart
                      org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeEditPart
                          org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeNodeEditPart
                              org.eclipse.gmf.runtime.diagram.ui.render.editparts.AbstractImageEditPart
                                  org.eclipse.gmf.runtime.diagram.ui.render.editparts.URLImageEditPart

All Implemented Interfaces:
  EditPart, GraphicalEditPart, IAdaptable, IAdaptableSelection, org.eclipse.gmf.runtime.diagram.ui.internal.editparts.IContainedEditPart, org.eclipse.gmf.runtime.diagram.ui.internal.editparts.IEditableEditPart, IGraphicalEditPart, INodeEditPart, INotableEditPart, IPrimaryEditPart, NodeEditPart, NotificationListener, RequestConstants

public abstract class URLImageEditPart
extends AbstractImageEditPart

Nested Class Summary

Nested classes inherited from class org.eclipse.gmf.runtime.diagram.ui.render.editparts.AbstractImageEditPart
`AbstractImageEditPart.PreferencePropertyChangeListener`

Nested classes inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`AbstractGraphicalEditPart.AccessibleGraphicalEditPart, AbstractGraphicalEditPart.DefaultAccessibleAnchorProvider`

Nested classes inherited from class org.eclipse.gef.editparts.AbstractEditPart
`AbstractEditPart.EditPolicyIterator`

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart
`accessibleEP, elementGuid`

Fields inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`figure, sourceConnections, targetConnections`

Fields inherited from class org.eclipse.gef.editparts.AbstractEditPart
`children, FLAG_ACTIVE, FLAG_FOCUS, MAX_FLAG`

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`URLImageEditPart(View view)` Default constructor

Method Summary
`protected abstract java.lang.String` `getImagePath()` getImagePath Transient accessor to retrieve the file path representing the image file to be rendered.
`protected abstract java.lang.String` `getPathImagePathIsRelativeTo()` getPathImagePathIsRelativeTo getImagePath could return a relative path.
`protected java.net.URL` `getURL()` getURL Accessor method that calculates the URL expression based on the string returned by the method getImagePath.
`protected RenderedImage` `regenerateImageFromSource()` regenerateImageFromSource This method will recreate the RenderedImage object from a specific source (file, bits etc.).

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.render.editparts.AbstractImageEditPart
`createNodeFigure, getRenderedImage, refreshEnableAntiAlias, refreshImage, refreshVisuals`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeNodeEditPart
`canAttachNote, createDefaultEditPolicies, createFigure, getModelSourceConnections, getModelTargetConnections, getNodeFigure, getSourceConnectionAnchor, getSourceConnectionAnchor, getTargetConnectionAnchor, getTargetConnectionAnchor, handleNotificationEvent, mapConnectionAnchorToTerminal, mapTerminalToConnectionAnchor`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeEditPart
`getLocation, getPrimaryDragEditPolicy, getSize, refreshBounds`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.TopGraphicEditPart
`getResizableCompartments, getResizableNotationViews, performDirectEditRequest, understandsRequest`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart

`activate, addChild, addListenerFilter, addListenerFilter, addNotationalListeners, addSemanticListeners, basicGetModel, createConnection, createEditPolicies, deactivate, disableEditMode, enableEditMode, eraseSourceFeedback, eraseTargetFeedback, executeCommand, findEditPart, getAccessibleEditPart, getAdapter, getChildBySemanticHint, getChildBySemanticHintOnPrimaryView, getChildViewBySemanticHint, getCommand, getContentPaneFor, getDiagramEditDomain, getDiagramPreferencesHint, getDiagramView, getDragTracker, getEditDomain, getEditingDomain, getMapMode, getModel, getModelChildren, getNotationView, getPreferredValue, getPrimaryChildEditPart, getPrimaryView, getResourceManager, getRoot, getStructuralFeatureValue, getTopGraphicEditPart, handleMajorSemanticChange, hasNotationView, isCanonical, isEditModeEnabled, isSelectable, notifyChanged, performRequest, reactivateSemanticModel, refresh, refreshBackgroundColor, refreshChild, refreshFont, refreshFontColor, refreshForegroundColor, refreshSourceConnection, refreshTargetConnection, refreshVisibility, registerModel, removeListenerFilter, removeNotationalListeners, removeNotify, removeSemanticListeners, resolveSemanticElement, setBackgroundColor, setFont, setFontColor, setForegroundColor, setModel, setStructuralFeatureValue, setVisibility, showSourceFeedback, showTargetFeedback, transactionAboutToCommit, unregisterModel`

Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`addChildVisual, addNodeListener, addNotify, addSourceConnection, addTargetConnection, createOrFindConnection, fireRemovingSourceConnection, fireRemovingTargetConnection, fireSourceConnectionAdded, fireTargetConnectionAdded, getContentPane, getFigure, getLayer, getSourceConnections, getTargetConnections, primAddSourceConnection, primAddTargetConnection, primRemoveSourceConnection, primRemoveTargetConnection, refreshSourceConnections, refreshTargetConnections, registerVisuals, removeChildVisual, removeNodeListener, removeSourceConnection, removeTargetConnection, reorderChild, reorderSourceConnection, reorderTargetConnection, setFigure, setLayoutConstraint, unregisterVisuals`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart

`activateEditPolicies, addEditPartListener, createChild, deactivateEditPolicies, debug, debugFeedback, fireActivated, fireChildAdded, fireDeactivated, fireRemovingChild, fireSelectionChanged, getChildren, getEditPolicy, getEditPolicyIterator, getEventListeners, getFlag, getParent, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, refreshChildren, register, registerAccessibility, removeChild, removeEditPartListener, removeEditPolicy, setFlag, setFocus, setParent, setSelected, toString, unregister, unregisterAccessibility`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.GraphicalEditPart
`addNodeListener, getContentPane, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, setLayoutConstraint`

Methods inherited from interface org.eclipse.gef.EditPart

`activate, addEditPartListener, addNotify, deactivate, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getDragTracker, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### URLImageEditPart

    public URLImageEditPart(View view)

  Default constructor

Parameters:
  `view` -

Method Detail

### getImagePath

    protected abstract java.lang.String getImagePath()

  getImagePath Transient accessor to retrieve the file path representing the image file to be rendered.

  Returns:
    String if valid, null otherwise.

### getPathImagePathIsRelativeTo

    protected abstract java.lang.String getPathImagePathIsRelativeTo()

  getPathImagePathIsRelativeTo getImagePath could return a relative path. If so, this transient accessor method allows calculation of an absolute path from the image file and the return path of this method.

  Returns:
    String that is an absolute path that can be used to calculate the absolute path of a relative path URL.

### getURL

    protected java.net.URL getURL()

  getURL Accessor method that calculates the URL expression based on the string returned by the method getImagePath.

  Returns:
    URL that can be streamed to retrieve the image data.

### regenerateImageFromSource

    protected final RenderedImage regenerateImageFromSource()

  Description copied from class: `AbstractImageEditPart`
  regenerateImageFromSource This method will recreate the RenderedImage object from a specific source (file, bits etc.).

  Specified by:
    `regenerateImageFromSource` in class `AbstractImageEditPart`
  Returns:
    RenderedImage object that will be rendered to the screen using the ScalableImageFigure class. Concrete clients of AbstractImageEditPart need to override this method to return an instance that can be used for rendering.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.